gr::satellites::time_dependent_delay_impl Class Reference

`#include <time_dependent_delay_impl.h>`

Inheritance diagram for gr::satellites::time_dependent_delay_impl:

## Public Member Functions

| time_dependent_delay_impl (const std::string &filename, double samp_rate, double t0, const std::vector< float > &taps, int num_filters)
| ~time_dependent_delay_impl () override
void | set_time (double) override
| Sets the current time.
double | time () override
| Returns the current time.
double | delay () override
| Returns the current delay in seconds.
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items) override

## Additional Inherited Members

Public Types inherited from gr::satellites::time_dependent_delay
typedef std::shared_ptr< time_dependent_delay > | sptr
Static Public Member Functions inherited from gr::satellites::time_dependent_delay
static sptr | make (const std::string &filename, double samp_rate, double t0, const std::vector< float > &taps, int num_filters)
| Build the Time-dependent Delay block.

## Constructor & Destructor Documentation

## time_dependent_delay_impl()

gr::satellites::time_dependent_delay_impl::time_dependent_delay_impl | ( | const std::string & | filename,
|  | double | samp_rate,
|  | double | t0,
|  | const std::vector< float > & | taps,
|  | int | num_filters )

## ~time_dependent_delay_impl()

gr::satellites::time_dependent_delay_impl::~time_dependent_delay_impl | ( |  | ) |

override

## Member Function Documentation

## delay()

double gr::satellites::time_dependent_delay_impl::delay | ( |  | ) |

inline override virtual

Returns the current delay in seconds.

Implements gr::satellites::time_dependent_delay.

## set_time()

void gr::satellites::time_dependent_delay_impl::set_time | ( | double | t | ) |

override virtual

Sets the current time.

Parameters

  t | Tiemstamp corresponding to the current time.

Implements gr::satellites::time_dependent_delay.

## time()

double gr::satellites::time_dependent_delay_impl::time | ( |  | ) |

inline override virtual

Returns the current time.

Implements gr::satellites::time_dependent_delay.

## work()

int gr::satellites::time_dependent_delay_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

override

The documentation for this class was generated from the following file:

- time_dependent_delay_impl.h